/*
 * Created on Jun 24, 2004
 *
 */
package org.programmingbasics.iu.game;

import java.awt.Graphics2D;
import java.awt.geom.Rectangle2D;


/**
 * @author The World
 */
public abstract class GameObject
{

   /**
    * 
    */
   public GameObject()
   {
      super();
   }

   void doMove(long now, GameMap map) {}

   abstract void draw(GameEngine e, Graphics2D g);
   void doDamage(int damage) {}
   void activate(GameObject activator, long now) {}
   abstract void boundingBox(Rectangle2D r);
   abstract boolean checkCollision(CollisionChecker check);
   boolean isPlayer() { return false; }
   boolean isEnemy() { return false; }
   boolean isActivatable() { return false; }
}
