/*
 * Created on Jun 21, 2004
 *
 */
package org.programmingbasics.iu.game;

import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.io.IOException;
import java.io.InputStream;

/**
 * @author The World
 */
public class Multiplay
{

   /**
    * 
    */
   public Multiplay()
   {
   }

   public void run()
   {
      Frame f = new Frame("Multiplay");
      
      f.addWindowListener(new WindowAdapter() 
         {
            public void windowClosing(WindowEvent e) 
            {
               System.exit(0);
            }
         });
      
      GameWindow gw = new GameWindow();
      
      // Also sets the size of the GameWindow
      GameEngine ge = new GameEngine(gw);
      
      gw.setSize(550, 550);
      f.add(gw);
      
      f.pack();
      f.show();

      ge.run();
      
   }

   public static void main(String[] args)
   {
      Multiplay m = new Multiplay();
      m.run();
   }
}
