/*
 * Created on Jul 27, 2004
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package org.programmingbasics.iu.game;

import java.awt.geom.Rectangle2D;

/**
 * @author The World
 */
public class CircleCollisionChecker implements CollisionChecker {

   /**
    * 
    */
   public CircleCollisionChecker(GameObject self, double x, double y, double r) {
      super();
      this.x = x;
      this.y = y;
      this.radius = r;
      this.self = self;
   }
   
   double x, y, radius;
   GameObject self;
   public boolean checkCollision(GameObject obj)
   {
      if (obj == self) return false;
      return obj.checkCollision(this);
   }
   
   public boolean checkLineCollision(double x1, double y1, double x2, double y2)
   {
      return Util.DoCircleLineIntersect(x, y, radius, x1, y1, x2, y2);
   }

   public boolean checkCircleCollision(double xx, double yy, double rr)   
   {
      return Util.DoCircleCircleIntersect(x, y, radius, xx, yy, rr);
   }

   public void boundingBox(Rectangle2D r)
   {
      r.setRect(x - radius, y - radius, 
            2 * radius, 2 * radius);
   }



}
