/*
 * Created on Jul 27, 2004
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package org.programmingbasics.iu.game;

import java.awt.geom.Rectangle2D;

/**
 * @author The World
 */
public class LineCollisionChecker implements CollisionChecker {

   /**
    * 
    */
   public LineCollisionChecker(GameObject self, double x1, double y1, double x2, double y2) {
      super();
      this.x1 = x1;
      this.y1 = y1;
      this.x2 = x2;
      this.y2 = y2;
      this.self = self;
   }
   
   double x1, y1, x2, y2;
   GameObject self;
   public boolean checkCollision(GameObject obj)
   {
      if (obj == self) return false;
      return obj.checkCollision(this);
   }
   
   public boolean checkLineCollision(double xx1, double yy1, double xx2, double yy2)
   {
      return Util.DoLineLineIntersect(x1, y1, x2, y2, xx1, yy1, xx2, yy2);
   }

   public boolean checkCircleCollision(double xx, double yy, double rr)   
   {
      return Util.DoCircleLineIntersect(xx, yy, rr, x1, y1, x2, y2);
   }

   public void boundingBox(Rectangle2D r)
   {
      r.setRect(Math.min(x1, x2), Math.min(y1, y2), 
            Math.abs(x1 - x2), Math.abs(y1 - y2));
   }


}
